%define upstream_name    Text-Banner
%define upstream_version 2.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Create text resembling Unix banner command
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The *Text::Banner* creates a large ASCII-representation of a defined
string, like the 'banner' command available in Unix. A string is passed to
the module, and the equivalent banner string is generated and returned for
use. The string can be scaled (blown up) from 100 to 500% of the base size.
The characters used to generate the banner image can be any character
defined by the user (within a limited range) or they can be the made up
from whatever the current character being generated happens to be. The
banner can be created either vertically or horizontally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.10.0-3.mga9
+ Revision: 1811148
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.10.0-2.mga8
+ Revision: 1521417
- Mageia 8 Mass Rebuild

* Sun Dec 23 2018 shlomif <shlomif> 2.10.0-1.mga7
+ Revision: 1344703
- imported package perl-Text-Banner


* Sun Dec 23 2018 cpan2dist 2.01-1mga
- initial mageia release, generated with cpan2dist
